%define name vfu
%define version 1.42
%define release 1
%define serial 1

Summary: VF File Manager for Unix/Linux ( VFU )
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: Shells
URL: http://www.biscom.net/~cade/vfu
Vendor: Vladi Belperchinov-Shabanski "Cade" <cade@biscom.net>
Source: %{name}-%{version}-source.tgz
Patch: %{name}-%{version}.gcc-dir.patch
Distribution: Freshmeat RPMs
Packager: Ryan Weaver <ryanw@infohwy.com>
BuildRoot: /var/tmp/%{name}-%{version}

%description
VFU is console (text mode) file manager for UNIX/Linux. 
Main features are: 

  Console/Text mode! ( yes -- repeat that :) ) 
  Fast One-Key Commands. 
  Copy/Move/Erase of selected files/single file/single file while
    selection exists. 
  Overwrite prompt when copy/move (Yes/No/Always/Never/...). 
  Filename completion (incl. extended completion: `*some[az].zip' ). 
  Powerfull ChangeDir function (w. History, Preset favorite dirs...). 
  Directory Tree. 
  Directory(ies) size calculation (single dir/all dirs). 
  Run-Time dirs' sizes calculation! (cached from dir tree as option). 
  Extensive user-defined external support/utils! 
  Interactive/octal chmod and chown (for selected files/single/...). 
  File-type colorization (user defined by file type and or extension). 
  Incremental search/masking in all file lists. 
  Recursive and External rescanning ( Panelize ). 
  Archives support (storage/directory) incl. view/browse/extract: 
        TAR TGZ BZ2 ZIP UC2 ARJ JAR RAR LIM LHA HA 
  + much more... 

%prep
%setup -q
%patch -p1

%build
./build

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib}
install -s -m 755 vfu/vfu $RPM_BUILD_ROOT/usr/bin
install -s -m 644 vfurc $RPM_BUILD_ROOT/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc vfu/COPYING vfu/INSTALL vfu/README vfu/readme vfu/vfu.txt
/usr/bin/vfu
%config /usr/lib/vfurc

%changelog
* Thu Feb  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [vfu-1.42-1]
- First RPM Build
- 1.42: 03.Feb.98
- + feature add
    1. External scanning ( panelize ).
       Just enter `command |' in the files masks input line
       to use it ( i.e. instead of "*.txt" enter 
       "find / -name '*.txt'" ).
- ! bugfix
    2. The problem with files/dirs' sizes >2GB is now fixed!
